package com.ejie.ab79.model;

import com.ejie.ab79.model.inspecciones.CampainasInspeccion;

/**
 * RelCamDoc  
 * 
 *  
 */

public class RelCamDoc implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idRelCamDoc;
	private CampainasInspeccion campainaInspeccion;
	private DocumentosSubidos documentoSubido;
	private String usuarioRegistro;

	public RelCamDoc() {
	}

	public RelCamDoc(Integer idRelCamDoc) {
		this.idRelCamDoc = idRelCamDoc;
	}

	public Integer getIdRelCamDoc() {
		return this.idRelCamDoc;
	}

	public void setIdRelCamDoc(Integer idRelCamDoc) {
		this.idRelCamDoc = idRelCamDoc;
	}

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idRelCamDoc: ").append(this.idRelCamDoc).append(" ]");
		result.append(", [ idCampaina: ")
				.append((this.campainaInspeccion != null ? this.campainaInspeccion.getIdCampaina() : "null"))
				.append(" ]");
		result.append(", [ idDocumentoSubido: ")
				.append((this.documentoSubido != null ? this.documentoSubido.getIdDocumentoSubido() : "null"))
				.append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}

	public CampainasInspeccion getCampainaInspeccion() {
		return campainaInspeccion;
	}

	public void setCampainaInspeccion(CampainasInspeccion campainaInspeccion) {
		this.campainaInspeccion = campainaInspeccion;
	}

	public DocumentosSubidos getDocumentoSubido() {
		return documentoSubido;
	}

	public void setDocumentoSubido(DocumentosSubidos documentoSubido) {
		this.documentoSubido = documentoSubido;
	}

}
